> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# selectionmembertypev2

> MDO provider for the selection archive providers types. The items will be added by scanning ArchiveProviderFactory.KnownArchiveProviders for this pattern; [TableName]Selection. If the prefix is a known table, the tablename will be added to list with the TableNumber as the ID.

## "selectionmembertypev2" MDO List

MDO provider for the selection archive providers types.
The items will be added by scanning ArchiveProviderFactory.KnownArchiveProviders for this pattern;
\[TableName]Selection. If the prefix is a known table, the tablename will be added to list with the
TableNumber as the ID.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SelectionMemberTypeListV2">SelectionMemberTypeListV2</see> class.
The name of the MDO list is 'selectionmembertypev2'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/selectionmembertypev2
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("selectionmembertypev2", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name                   | StyleHint | ExtraInfo        |
| --- | ---------------------- | --------- | ---------------- |
| 5   | Find Company           |           | contact          |
| 6   | Find Contact           |           | person           |
| 9   | Find Follow-up         |           | appointment      |
| 13  | Find Sale              |           | sale             |
| 11  | Find Project           |           | project          |
| 23  | Find Selection         |           | selection        |
| 10  | Find Document          |           | document         |
| 127 | Find Product           |           | QuoteLine        |
| 262 | Find Request           |           | ticket           |
| 332 | Find Chat conversation |           | chat\_session    |
| 485 | Find Form submission   |           | form\_submission |
| 334 | Find Mailing           |           | s\_shipment      |

## Related MDO Lists

* "selectionmembertypev2headings"
* "selectionmembertypev2headingswithallitem"
* "selectionmembertypev2headingswithallitemwithnoselection"
* "selectionmembertypev2headingswithnoselection"
* "selectionmembertypev2withallitem"
* "selectionmembertypev2withallitemwithnoselection"
* "selectionmembertypev2withnoselection"


## Related topics

- [How to Search using Find Selections](/en/api/search/find-selection/how-to-search.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
